Name:		kfoldersync
Version:	3.4.1
Release:	%mkrel 5
Summary:	Folder synchronization and backup tool
License:	GPLv3+
Group:		Archiving/Backup
Url:		https://www.linux-apps.com/p/1127677/
Source0:	https://dl.opendesktop.org/api/files/download/id/1485353737/%{name}-%{version}.tar.xz
Patch0:		kfoldersync-3.4.1-mga-complete-french-translation.patch
BuildRequires:	pkgconfig(Qt5Concurrent)
BuildRequires:	pkgconfig(Qt5Core)
BuildRequires:	pkgconfig(Qt5Gui)
BuildRequires:	pkgconfig(Qt5Widgets)
BuildRequires:	kf5-macros
BuildRequires:	cmake(KF5Config)
BuildRequires:	cmake(KF5ConfigWidgets)
BuildRequires:	cmake(KF5CoreAddons)
BuildRequires:	cmake(KF5DBusAddons)
BuildRequires:	cmake(KF5I18n)
BuildRequires:	cmake(KF5ItemViews)
BuildRequires:	cmake(KF5KIO)
BuildRequires:	cmake(KF5WidgetsAddons)
BuildRequires:	cmake(KF5WindowSystem)
BuildRequires:	cmake(KF5XmlGui)

BuildRequires:	gettext

%description
Folder synchronization and backup tool for Plasma 5.

%prep
%setup -q
%autopatch -p1

%build
%cmake_kf5

%cmake_build

%install
%cmake_install

%find_lang %{name}

%files -f %{name}.lang
%doc README.md
%license COPYING*
%{_kf5_bindir}/%{name}
%{_kf5_applicationsdir}/%{name}.desktop
%{_kf5_iconsdir}/hicolor/*/*/*


%changelog
* Thu Dec 17 2020 umeabot <umeabot> 3.4.1-5.mga8
+ Revision: 1658713
- Rebuild for new Qt5

* Sat Feb 15 2020 umeabot <umeabot> 3.4.1-4.mga8
+ Revision: 1524670
- Mageia 8 Mass Rebuild
+ wally <wally>
- build with new cmake macros

* Sat Mar 30 2019 umeabot <umeabot> 3.4.1-3.mga7
+ Revision: 1382379
- Qt5 Rebuild

* Sun Sep 23 2018 umeabot <umeabot> 3.4.1-2.mga7
+ Revision: 1298526
- Mageia 7 Mass Rebuild

* Thu Jan 26 2017 daviddavid <daviddavid> 3.4.1-1.mga6
+ Revision: 1083542
- new version: 3.4.1

* Sat Dec 24 2016 daviddavid <daviddavid> 3.4.0-1.mga6
+ Revision: 1077092
- new version: 3.4.0

* Mon Dec 05 2016 daviddavid <daviddavid> 3.3.2-1.mga6
+ Revision: 1072705
- new version: 3.3.2
- add patch to complete French translation

* Wed Nov 30 2016 daviddavid <daviddavid> 3.3.1-1.mga6
+ Revision: 1071221
- new version: 3.3.1

* Wed Sep 07 2016 daviddavid <daviddavid> 3.3.0-1.mga6
+ Revision: 1050372
- initial package kfoldersync

